Package org.apache.calcite.avatica.util

# Class PositionedCursor.ObjectGetter

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter
org.apache.calcite.avatica.util.PositionedCursor.ObjectGetter

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  PositionedCursor<T>

protected class PositionedCursor.ObjectGetter extends AbstractCursor.AbstractGetter
Implementation of `AbstractCursor.Getter` for records that consist of a single field.

Each record is represented as an object, and the value of the sole field is that object.

## Constructor Summary

Constructors
Constructor
Description
`ObjectGetter(int field)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

`wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectGetter

public ObjectGetter(int field)

## Method Details

### getObject

public Object getObject() throws SQLException

Throws:
  `SQLException`